Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Interface ImageManipulator

All Superinterfaces:
  ImageDisplay

All Known Implementing Classes:
  ImageCanvas2D, ImageManipulatorCanvas

public interface ImageManipulator
extends ImageDisplay

Specifies methods to implement a canvas for manipulating images.

Version:
  1.0 1 Nov 1999
Author:
  Lawrence Rodrigues

Fields inherited from interface com.vistech.imageviewer.ImageDisplay
`TYPE_AWT_IMAGE, TYPE_BUFFERED_IMAGE`

Method Summary
`void` | `applyTransform(java.awt.geom.AffineTransform atx)` Applies the transform
`int` | `getInterpolationType()`
`double` | `getMagFactor()` Gets the magFactor property.
`double` | `getMagFactorX()` Gets the magFactorX property.
`double` | `getMagFactorY()` Gets the magFactorY property.
`java.awt.Point` | `getPanOffset()` Returns the panOffset property.
`double` | `getRotationAngle()` Gets the rotation angle property.
`double` | `getShearFactor()`
`java.awt.geom.AffineTransform` | `getTransform()` Gets the transform property.
`void` | `resetManipulation()` Resets manipulation.
`void` | `setInterpolationType(int interType)` Sets the interpolationType property.
`void` | `setMagFactor(double magFactor)` Sets the magFactor property.
`void` | `setMagFactorX(double magFactorX)` Sets the magFactorX property.
`void` | `setMagFactorY(double magFactorY)` Sets the magFactorY property.
`void` | `setPanOffset(java.awt.Point panOffset)` Gets the panOffset property.
`void` | `setRotationAngle(double theta)` Sets the rotationAngle property.
`void` | `setShearFactor(double shear)` Sets the shearFactor property.
`void` | `setTransform(java.awt.geom.AffineTransform at)` Sets the transform property.

Methods inherited from interface com.vistech.imageviewer.ImageDisplay
`addMouseListener, addMouseMotionListener, addPropertyChangeListener, addVetoableChangeListener, draw, getAWTImage, getBufferedImage, getDisplayedImage, getDisplayMode, getFlipMode, getImageSize, getImageType, getInvert, getOffScreenImage, paintImage, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removeVetoableChangeListener, setAWTImage, setBufferedImage, setClip, setCursor, setDisplayImage, setDisplayMode, setFlipMode, setImageType, setInvert, setOffScreenImage`

Method Detail

### setPanOffset

    public void setPanOffset(java.awt.Point panOffset)

  Gets the panOffset property.
  Parameters:
    `panOffset` - the offset by which the currently displayed image is moved from the previous position.

### getPanOffset

    public java.awt.Point getPanOffset()

  Returns the panOffset property.
  Returns:
    the panOffset.

### setMagFactor

    public void setMagFactor(double magFactor)

  Sets the magFactor property.
  Parameters:
    `magFactor` - the magnification factor.

### getMagFactor

    public double getMagFactor()

  Gets the magFactor property.
  Returns:
    the magFactor.

### setMagFactorX

    public void setMagFactorX(double magFactorX)

  Sets the magFactorX property.
  Parameters:
    `magFactor` - the magnification factor in the X direction.

### getMagFactorX

    public double getMagFactorX()

  Gets the magFactorX property.
  Returns:
    the magFactor.

### setMagFactorY

    public void setMagFactorY(double magFactorY)

  Sets the magFactorY property.
  Parameters:
    `magFactor` - the magnification factor in the Y direction.

### getMagFactorY

    public double getMagFactorY()

  Gets the magFactorY property.
  Returns:
    the magFactor.

### setRotationAngle

    public void setRotationAngle(double theta)

  Sets the rotationAngle property.
  Parameters:
    `rotationAngle` - the rotation angle

### getRotationAngle

    public double getRotationAngle()

  Gets the rotation angle property.
  Returns:
    the rotation angle.

### setShearFactor

    public void setShearFactor(double shear)

  Sets the shearFactor property.
  Parameters:
    `shearFactor` - the shearFactor property.

### getShearFactor

    public double getShearFactor()

  Returns:
    the shearFactor.

### getTransform

    public java.awt.geom.AffineTransform getTransform()

  Gets the transform property.
  Returns:
    the current transform object.

### setTransform

    public void setTransform(java.awt.geom.AffineTransform at)

  Sets the transform property.
  Parameters:
    `the` - transform.

### applyTransform

    public void applyTransform(java.awt.geom.AffineTransform atx)

  Applies the transform
  Parameters:
    `the` - transform.

### setInterpolationType

    public void setInterpolationType(int interType)

  Sets the interpolationType property.
  Parameters:
    `the` - interpolation type

### getInterpolationType

    public int getInterpolationType()

### resetManipulation

    public void resetManipulation()

  Resets manipulation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD